#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # Javascript library in a notebook: morris
# 
# We try to use the library [morris.js](http://morrisjs.github.io/morris.js/), we try to replicate the example from the page [getting-started](http://morrisjs.github.io/morris.js/#getting-started). Unfortunately, there are somme issues with [raphael.js](https://github.com/DmitryBaranovskiy/raphael/), see:
# 
# * [raphael breaks if loaded via require-js](https://github.com/DmitryBaranovskiy/raphael/issues/524)
# * [raphael-loader](https://github.com/papakpmartin/raphael-loader)
# 
# So I reused one version of Raphael which seemed to work well in a previous talk: [treant-je](http://www.xavierdupre.fr/app/jupytalk/helpsphinx/notebooks/jsonly_treant.html).

# In[1]:


libs = ["http://fperucic.github.io/treant-js/vendor/raphael.js",
        "http://code.jquery.com/jquery-1.8.2.min.js",
        "https://cdnjs.cloudflare.com/ajax/libs/morris.js/0.5.1/morris.min.js"]

css = ["https://cdnjs.cloudflare.com/ajax/libs/morris.js/0.5.1/morris.css"]

script = """
Morris.Line({
  element: '__ID__',
  data: [
    { y: '2006', a: 100, b: 90 },
    { y: '2007', a: 75,  b: 65 },
    { y: '2008', a: 50,  b: 40 },
    { y: '2009', a: 75,  b: 65 },
    { y: '2010', a: 50,  b: 40 },
    { y: '2011', a: 75,  b: 65 },
    { y: '2012', a: 100, b: 90 }
  ],
  xkey: 'y',
  ykeys: ['a', 'b'],
  labels: ['Series A', 'Series B']
});
"""


# In[2]:


from jyquickhelper import RenderJS
try:
    r = RenderJS(script=script, css=css, libs=libs)
except Exception as e:
    print(e)
    r = None
r


# The library is nice but it does not play very nice when the notebook is converted into RST. It works better when it is converted into HTML.

# In[3]:





# In[4]: